org.apache.solr.handler.component

## Class SpellCheckMergeData

- java.lang.Object
- - org.apache.solr.handler.component.SpellCheckMergeData

-     public class SpellCheckMergeData
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<String,SpellCheckCollation>` | `collations`
    `Set<String>` | `originalTerms`
    `Map<String,Integer>` | `origVsFreq`
    `Map<String,Integer>` | `origVsShards`
    `Map<String,HashSet<String>>` | `origVsSuggested`
    `Map<String,SpellCheckResponse.Suggestion>` | `origVsSuggestion`
    `Map<String,SuggestWord>` | `suggestedVsWord`
    `int` | `totalNumberShardResponses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpellCheckMergeData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isOriginalToQuery(String term)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### origVsSuggestion

          public Map<String,SpellCheckResponse.Suggestion> origVsSuggestion

    - #### origVsFreq

          public Map<String,Integer> origVsFreq

    - #### origVsShards

          public Map<String,Integer> origVsShards

    - #### origVsSuggested

          public Map<String,HashSet<String>> origVsSuggested

    - #### suggestedVsWord

          public Map<String,SuggestWord> suggestedVsWord

    - #### collations

          public Map<String,SpellCheckCollation> collations

    - #### originalTerms

          public Set<String> originalTerms

    - #### totalNumberShardResponses

          public int totalNumberShardResponses

  - ### Constructor Detail

    - #### SpellCheckMergeData

          public SpellCheckMergeData()

  - ### Method Detail

    - #### isOriginalToQuery

          public boolean isOriginalToQuery(String term)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.